- Home
- API Enriched
- Blindfold
- secret_management
- Replace VoltShare Admin Policy.
Replace VoltShare Admin Policy.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/secret_management/namespaces/example/voltshare_admin_policys/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"author_restrictions":{"allow_all":{},"allow_list":{"custom_list":[{"exact_value":"example","regex_pattern":"example"}]},"deny_all":{},"deny_list":{"custom_list":[{"exact_value":"example","regex_pattern":"example"}]}},"max_validity_duration":"example","user_restrictions":[{"all_tenants":{},"individual_users":{},"tenant":"example","user_restrictions":{"allow_all":{},"allow_list":{"custom_list":[{"exact_value":"example","regex_pattern":"example"}]},"deny_all":{},"deny_list":{"custom_list":[{"exact_value":"example","regex_pattern":"example"}]}}}]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/secret_management/namespaces/example/voltshare_admin_policys/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "author_restrictions": { "allow_all": {}, "allow_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] }, "deny_all": {}, "deny_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] } }, "max_validity_duration": "example", "user_restrictions": [ { "all_tenants": {}, "individual_users": {}, "tenant": "example", "user_restrictions": { "allow_all": {}, "allow_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] }, "deny_all": {}, "deny_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] } } } ] } }'Replace voltshare_admin_policy replaces an existing object in the storage backend for metadata.namespace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
object
object
List of user ID(s)
MatcherType contains the choice of value to be compared against the input userid. It could be a regex pattern or exact value.
object
Exclusive with [regex_pattern] exact_match contains user_id to match against.
Exclusive with [exact_value] regex_values contains a regex pattern to match against.
object
object
List of user ID(s)
MatcherType contains the choice of value to be compared against the input userid. It could be a regex pattern or exact value.
object
Exclusive with [regex_pattern] exact_match contains user_id to match against.
Exclusive with [exact_value] regex_values contains a regex pattern to match against.
Max_validity_duration contains the maximum amount of time a secret from any users from this team/tenant is valid. Value for this parameter is a string ending in the suffix “s” (indicating seconds), suffix “m” (indicating minutes) or suffix “h” (indicating hours)
User_restrictions contains per tenant/team list of allowed/disallowed users with whom a secret can be shared using F5XC VoltShare.
User_restrictions contains list of allowed/disallowed users with whom a secret can be shared using F5XC VoltShare for any given team/tenant.
object
object
object
Exclusive with [all_tenants individual_users] Team/Tenant for which this rule is valid.
object
object
object
List of user ID(s)
MatcherType contains the choice of value to be compared against the input userid. It could be a regex pattern or exact value.
object
Exclusive with [regex_pattern] exact_match contains user_id to match against.
Exclusive with [exact_value] regex_values contains a regex pattern to match against.
object
object
List of user ID(s)
MatcherType contains the choice of value to be compared against the input userid. It could be a regex pattern or exact value.
object
Exclusive with [regex_pattern] exact_match contains user_id to match against.
Exclusive with [exact_value] regex_values contains a regex pattern to match against.
Examplegenerated
{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "author_restrictions": { "allow_all": {}, "allow_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] }, "deny_all": {}, "deny_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] } }, "max_validity_duration": "example", "user_restrictions": [ { "all_tenants": {}, "individual_users": {}, "tenant": "example", "user_restrictions": { "allow_all": {}, "allow_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] }, "deny_all": {}, "deny_list": { "custom_list": [ { "exact_value": "example", "regex_pattern": "example" } ] } } } ] }}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example